﻿//
// GrabschCamView
//   ASkr 2009-2010; www.askrprojects.net
//   Published under the LMAA-license (German ;-)
//

using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using WindowsFormsApplication1;


namespace WindowsFormsApplication1
{
  public partial class formRaw : Form
  {
    formMain fMainWin = null;
    public formRaw(formMain fMain)
    {
      fMainWin = fMain;
      InitializeComponent();
    }


    public void AddLine(string data)
    {
      txtRaw.Text.Insert(0,data);
      txtRaw.Paste(data);
      txtRaw.Refresh();
    }


    public void Clear()
    {
      txtRaw.Clear();
    }


    private void butClear_Click(object sender, EventArgs e)
    {
      txtRaw.Clear();
    }

    private void txtRaw_keyPress(object sender, KeyPressEventArgs e)
    {
      if ((fMainWin.expSerialPort.IsOpen)&&(chkTx.Checked))
      {
        byte[] bs = new byte[1];
        bs[0] = (byte)e.KeyChar;
        fMainWin.expSerialPort.Write(bs, 0, 1);
      }
    }

  }
}
